Bug 2615 - service should allow user monitoring
: service should allow user monitoring
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/service)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-05-26 19:44 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-05-26 19:44:03
after changes introduced during long-awaited initscripts redesign,
/sbin/service has unfortunately lost the ability to return the status if run by
user.  

It would be preferable to either teach it \'userstatus\' mode, or better yet
(since \'userstatus\' is confusing itself) implement separate /usr/bin/service
which would do \"read-only\" operations on behalf of user, even if
the reliability of the result would be reduced.  

This won\'t hurt full-featured administrative version (/sbin/service) which
would have adequate (and root-only) means to better control processes but would
improve on user loyality.
---

---
Extensive discussion can be found in e.g. devel/sisyphus archives ca. May 2x,
2003.
------- Comment #1 From 2003-05-27 21:07:53 -------
Try service-0.4-alt1
------- Comment #2 From 2003-05-27 21:07:53 -------
Try service-0.4-alt1
------- Comment #3 From 2003-05-30 00:27:53 -------
wow.  it even works 8-)
------- Comment #4 From 2003-05-30 00:27:53 -------
wow.  it even works 8-)
------- Comment #5 From 2003-05-30 00:41:45 -------
Let\'s say fixed in service-0.4-alt1
------- Comment #6 From 2003-05-30 00:41:45 -------
Let\'s say fixed in service-0.4-alt1
------- Comment #7 From 2003-05-30 00:48:15 -------
so be it =)
------- Comment #8 From 2003-05-30 00:48:15 -------
so be it =)